Public Class Employee
    Private _ID As String
    Public ReadOnly Property ID() As String
        Get
            Return _ID
        End Get
    End Property

    Private _Name As String
    Public ReadOnly Property Name() As String
        Get
            Return _Name
        End Get
    End Property

    Public Sub New(ByVal id As String, ByVal name As String)
        _ID = id
        _Name = name
    End Sub
End Class

Public Class Department
    Private _Manager As Employee
    Public ReadOnly Property Manager() As Employee
        Get
            Return _Manager
        End Get
    End Property

    Private _DepartmentName As String
    Public ReadOnly Property Name() As String
        Get
            Return _DepartmentName
        End Get
    End Property

    Public Sub New(ByVal departmentName As String, ByVal manager As Employee)
        _DepartmentName = departmentName
        _Manager = manager
    End Sub
End Class